Skip to main content
GET
/
v4
/
evaluation-datasets
/
{evaluation_dataset_id}
/
test-cases
/
{test_case_id}
/
history
Get All Versions of Test Case
curl --request GET \
  --url https://api.egp.scale.com/v4/evaluation-datasets/{evaluation_dataset_id}/test-cases/{test_case_id}/history
import requests

url = "https://api.egp.scale.com/v4/evaluation-datasets/{evaluation_dataset_id}/test-cases/{test_case_id}/history"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.egp.scale.com/v4/evaluation-datasets/{evaluation_dataset_id}/test-cases/{test_case_id}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "evaluation_dataset_id": "<string>",
    "test_case_data": {
      "input": "<string>",
      "artifact_ids_filter": [
        "<string>"
      ],
      "expected_output": "<string>",
      "expected_extra_info": {
        "chunks": [
          {
            "text": "<string>",
            "metadata": {}
          }
        ],
        "schema_type": "CHUNKS"
      }
    },
    "autogenerated": true,
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "account_id": "<string>",
    "created_by_user_id": "<string>",
    "schema_type": "GENERATION",
    "chat_history": {},
    "test_case_metadata": {},
    "invalidated_at": "2023-11-07T05:31:56Z",
    "archived_at": "2023-11-07T05:31:56Z"
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Path Parameters

evaluation_dataset_id
string
required
test_case_id
string
required

Response

Successful Response

evaluation_dataset_id
string
required

The ID of the associated evaluation dataset.

test_case_data
ArtifactSchemaGeneration · object
required
autogenerated
boolean
required

Boolean to track whether or not the test case is autogenerated

id
string
required

The unique identifier of the entity.

created_at
string<date-time>
required

The date and time when the entity was created in ISO format.

updated_at
string<date-time>
required

The date and time when the entity was last updated in ISO format.

account_id
string
required

The ID of the account that owns the given entity.

created_by_user_id
string
required

The user who originally created the entity.

created_by_identity_type
enum<string>
required

The type of identity that created the entity.

Available options:
user,
service_account
schema_type
string
default:GENERATION
Allowed value: "GENERATION"
chat_history
Chat History · object

Used for tracking previous chat interactions for multi-chat test cases

test_case_metadata
Test Case Metadata · object

Metadata for the test case

invalidated_at
string<date-time>

The date and time when the entity was overwritten or deleted in ISO format.

archived_at
string<date-time>

The date and time when the entity was archived in ISO format.